// pages/activityDialog/activityDialog.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: '',
    serviceId: '',
    pages: {
      page: 1,
      rows: 5
    },
    dataList: {}
  },
  getToken: function() {
    var self = this;
    return new Promise(resolve =>{
      wx.getStorage({
        key: 'token',
        success(res) {
          self.setData({
            token: res.data
          })
          return resolve();
        }
      })
    })
  },
  getActivityHis: function() {
    var self = this;
    app.restAjax.get(app.restAjax.path(app.volunteerUrl + '/wxminiapp/teamactivityhis/listpageteamactivityhis?serviceId=' + self.data.serviceId, []), 
      self.data.pages, {
        headers: {
          token: self.data.token
        }
      }, function(code, data) {
		    if('200' == code) {
          var photos = [];
          for(var item of data.rows) {
            if('' != item.photo) {
              item.photo = app.volunteerUrl + '/route/file/downloadfile/true/' + item.photo;
            }
            if('' != item.photos) {
              var photoArr = item.photos.split(",");
              for(var i=0; i<photoArr.length; i++) {
                photoArr[i] = app.volunteerUrl + '/route/file/downloadfile/true/' + photoArr[i];
              }
              item.photos = photoArr
            }
            if('' != item.videos) {
              var videoArr = item.videos.split(",");
              for(var i=0; i<videoArr.length; i++) {
                videoArr[i] = app.volunteerUrl + '/route/file/downloadfile/true/' + videoArr[i];
              }
              item.videos = videoArr
            }
          }
          if(1 === self.data.pages.page) {
            self.setData({
              dataList: data.rows
            })
          }else {
            if(data.rows.length == 0) {
              self.setData({
                [`pages.page`] : self.data.pages.page - 1
              })
              app.dialog.msg('暂无更多')
              return false;
            }

            self.setData({
              dataList: data.rows.concat(self.data.dataList)
            })
          }
        }
    }, function() {

    }, function() {
      wx.hideNavigationBarLoading(); //完成停止加载图标
      wx.stopPullDownRefresh();
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var self = this;
    self.setData({
      serviceId: options.serviceId
    })
    this.getToken().then(result => {
      this.getActivityHis()
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    // 在标题栏中显示加载图标
    wx.showNavigationBarLoading();
    var self = this;
    self.setData({
      [`pages.page`] : self.data.pages.page + 1
    })
    console.log(self.data.pages)
    this.getActivityHis();
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})